package org.commonjava.tensor.data.store;

import com.google.gson.reflect.TypeToken;

public interface IndexStoreFactory
{

    <K, V> IndexStore<K, V> getStore( String name, Class<K> keyType, Class<V> valueType );

    <K, V> IndexStore<K, V> getStore( String name, Class<K> keyType, TypeToken<V> constituentType );

}
