package org.commonjava.tensor.data;

import java.util.Set;

import javax.annotation.PostConstruct;

import org.apache.maven.graph.effective.rel.ProjectRelationship;

public interface IndexManager
{

    @PostConstruct
    void initMaps();

    void clearIndexes();

    boolean updateIndexes( Object value );

    void reindex( Set<ProjectRelationship<?>> data );

}