package org.commonjava.tensor.data.idx;

import org.commonjava.tensor.data.TensorDataException;

public interface Index<Q, R>
{

    void clear()
        throws TensorDataException;

    boolean update( Object value )
        throws TensorDataException;

    R get( Q query )
        throws TensorDataException;

}
