package org.commonjava.tensor.data.store;

import org.commonjava.tensor.data.TensorDataException;

public interface IndexStore<K, V>
{

    V store( K key, V value )
        throws TensorDataException;

    V get( K key )
        throws TensorDataException;

    boolean contains( K key );

    void clear()
        throws TensorDataException;

    V remove( K key )
        throws TensorDataException;

}
